Loading...
Searching...
No Matches
codec_par.h File Reference
`#include <stdint.h>`
`#include "libavutil/avutil.h"`
`#include "libavutil/channel_layout.h"`
`#include "libavutil/rational.h"`
`#include "libavutil/pixfmt.h"`
`#include "codec_id.h"`
`#include "defs.h"`
`#include "packet.h"`

Go to the source code of this file.

## Data Structures

struct | AVCodecParameters
| This struct describes the properties of an encoded stream. More...

## Functions

AVCodecParameters * | avcodec_parameters_alloc (void)
| Allocate a new AVCodecParameters and set its fields to default values (unknown/invalid/0).
void | avcodec_parameters_free (AVCodecParameters **par)
| Free an AVCodecParameters instance and everything associated with it and write NULL to the supplied pointer.
int | avcodec_parameters_copy (AVCodecParameters *dst, const AVCodecParameters *src)
| Copy the contents of src to dst.
int | av_get_audio_frame_duration2 (AVCodecParameters *par, int frame_bytes)
| This function is the same as av_get_audio_frame_duration(), except it works with AVCodecParameters instead of an AVCodecContext.